/*
V-Ray Property Toggler
*/
/* Default V-Ray Properties: */
/*
VRay_MoBlur_GeomSamples = 2
VRay_GI_Generate = True
VRay_GI_Receive = True
VRay_GI_Multipier = 1.000000
VRay_GI_GenerateMultipier = 1.000000
VRay_GI_SubdivsMultiplier = 1.000000
VRay_Caustics_Generate = True
VRay_Caustics_Receive = True
VRay_Caustics_Multipier = 1.000000
VRay_MoBlur_DefaultGeomSamples = True
VRay_Matte_Enable = False
VRay_Matte_Alpha = 1.000000
VRay_Matte_Shadows = False
VRay_Matte_ShadowAlpha = False
VRay_Matte_ShadowColor = [0,0,0]
VRay_Matte_ShadowBrightness = 1.000000
VRay_Matte_ReflectionAmount = 1.000000
VRay_Matte_RefractionAmount = 1.000000
VRay_Matte_GIAmount = 1.000000
VRay_Matte_GI_OtherMattes = True
VRay_GI_SurfaceID = 0
VRay_SSS_SurfaceID = 0
VRay_GI_VisibleToReflections = True
VRay_GI_VisibleToRefractions = True
VRay_Secondary_Matte_Enable = False
VRay_MoBlur_Override = False
VRay_MoBlur_Override_Duration = 1.000000
VRay_MoBlur_Velocity_Override = False
VRay_MoBlur_Velocity_Channel = 1
VRay_MoBlur_Velocity_Multiplier = 1.000000
VRay_Generate_Render_Elements = True
VRay_Has_Toon_Outlines = True
*/
(
	global vrayPropsTogglerRoll
	try (destroyDialog vrayPropsTogglerRoll) catch()
	
	fn setVrayProperties mode sel =
	(
		if mode then 
		(
			setUserProp sel "VRay_Matte_Enable" true
			setuserprop sel "VRay_Secondary_Matte_Enable" True
			setuserprop sel "VRay_Matte_Alpha" -1.0
			setuserprop sel "VRay_Matte_ReflectionAmount" 0.0
			setuserprop sel "VRay_Matte_RefractionAmount" 0.0
			setuserprop sel "VRay_Matte_GIAmount" 0.0
		)
		else
		(
			setUserProp sel "VRay_Matte_Enable" false
			setuserprop sel "VRay_Secondary_Matte_Enable" false
			setuserprop sel "VRay_Matte_Alpha" 1.0
			setuserprop sel "VRay_Matte_ReflectionAmount" 1.0
			setuserprop sel "VRay_Matte_RefractionAmount" 1.0
			setuserprop sel "VRay_Matte_GIAmount" 1.0
		)
	)

	
	rollout vrayPropsTogglerRoll "vrayProps Toggler" width:216 height:48
	(
		button 'btn1' "Set Matte" pos:[8,8] width:96 height:32 align:#left
		button 'btn2' "Set Normal" pos:[112,8] width:96 height:32 align:#left
		
		on btn1 pressed do
		(
			theNodes = for s in selection as array where superclassof s == GeometryClass collect s
			for n in theNodes do
			(
				setVrayProperties true n
			)
		)
		on btn2 pressed do
		(
			theNodes = for s in selection as array where superclassof s == GeometryClass collect s
			for n in theNodes do
			(
				setVrayProperties false n
			)
		)
	)
	
	createdialog vrayPropsTogglerRoll
)